# Generated from axl-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name axl

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: Ruby Bindings for the Cisco Administrative XML (AXL) API
License: Apache 2.0
URL: http://dimensiondata.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard) >= 1.8
# BuildRequires: rubygem(guard) < 2
# BuildRequires: rubygem(guard) >= 1.8.0
# BuildRequires: rubygem(guard-rake)
# BuildRequires: rubygem(guard-rake) < 1
# BuildRequires: rubygem(guard-rake)
# BuildRequires: rubygem(guard-minitest) >= 0.5
# BuildRequires: rubygem(guard-minitest) < 1
# BuildRequires: rubygem(guard-minitest) >= 0.5.0
# BuildRequires: rubygem(rb-fsevent) >= 0.9
# BuildRequires: rubygem(rb-fsevent) < 1
# BuildRequires: rubygem(rb-fsevent) >= 0.9.0
# BuildRequires: rubygem(terminal-notifier-guard) >= 1.5
# BuildRequires: rubygem(terminal-notifier-guard) < 2
# BuildRequires: rubygem(terminal-notifier-guard) >= 1.5.3
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry) >= 0.9.0
# BuildRequires: rubygem(redcarpet) >= 2.3
# BuildRequires: rubygem(redcarpet) < 3
# BuildRequires: rubygem(redcarpet) >= 2.3.0
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard) >= 0.8.0
BuildArch: noarch

%description
Ruby Bindings for the Cisco Administrative XML (AXL) API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version.example
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/axl.yml.example
%{gem_libdir}
%{gem_instdir}/tmp
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/axl.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.2-1
- Initial package
